package com.microservices.pms.project.mapper;

import com.microservices.pms.project.domain.PmsIssueTransformationCommentRecord;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface PmsIssueTransformationCommentRecordMapper {
    boolean insertSelective(PmsIssueTransformationCommentRecord record);

    boolean deleteByGitlinkIssueIdAndCommentType(PmsIssueTransformationCommentRecord record);

    List<PmsIssueTransformationCommentRecord> selectByGitlinkIssueId(@Param("gitlinkIssueId") Long gitlinkIssueId);
}
